View Issue Details

IDProjectCategoryView StatusLast Update
0005025Kali Linux[All Projects] Kali Websites & Docspublic2019-08-09 15:13
Reportergunner35Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status confirmedResolutionopen 
Product Version2019.2 
Target VersionFixed in Version 
Summary0005025: Installing powershell tutorial is no longer accurate
DescriptionLinux kali 4.18.0-kali1-amd64 0000001 SMP Debian 4.18.6-1kali1 (2018-09-10) x86_64 GNU/Linux

On a fresh install of kali with all updates applied, the latest powershell package has a dependency issue:

apt -y install powershell
Reading package lists...
...
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 powershell : Depends: libicu57 but it is not installable
E: Unable to correct problems, you have held broken packages.

The tutorial at https://www.kali.org/tutorials/installing-powershell-on-kali-linux/ isn't accurate for the most recent versions.

Possibly a problem with pathing of the .net dependency?

Activities

rhertzog

2019-04-25 14:33

administrator   ~0010533

See https://bugs.kali.org/view.php?id=5290 for the request to include powershell in Kali itself.

tjnull

2019-05-02 12:04

reporter   ~0010548

Hey Gunner35!

I wrote a guide a few months ago on how to install PowerShell on Kali Linux. It currently works for PowerShell and PowerShell-Preview.

You can find that here: https://www.netsecfocus.com/infosec/tools/2018/09/25/Installing_Powershell_and_Powershell_Preview_on_Kali_Linux_2018-3.html

Let me know if you have any questions!

-Tj Null

crash

2019-08-09 15:13

reporter   ~0010848

Hi,
Powershell error solution: https://bugs.kali.org/view.php?id=5624

Issue History

Date Modified Username Field Change
2018-10-02 14:26 gunner35 New Issue
2019-04-25 14:33 rhertzog Status new => confirmed
2019-04-25 14:33 rhertzog Category Kali Package Bug => Kali Websites & Docs
2019-04-25 14:33 rhertzog Product Version 2018.3 => 2019.2
2019-04-25 14:33 rhertzog Summary Powershell - libicu57 dependency => Installing powershell tutorial is no longer accurate
2019-04-25 14:33 rhertzog Note Added: 0010533
2019-05-02 12:04 tjnull Note Added: 0010548
2019-08-09 15:13 crash Note Added: 0010848